<form>
    <mat-form-field class="search-form">
        <input type="text"
               placeholder="Pick one"
               aria-label="Number"
               matInput
               [formControl]="searchKey"
               [matAutocomplete]="auto">
        <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
            <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
                {{option}}
            </mat-option>
        </mat-autocomplete>
    </mat-form-field>
</form>
